org.apache.http.params

## Class HttpParamConfig

- java.lang.Object
- - org.apache.http.params.HttpParamConfig

- Deprecated.
  (4.3) provided for compatibility with `HttpParams`. Do not use.

      @Deprecated
      public final class HttpParamConfig
      extends Object

  Since:
    4.3

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConnectionConfig` | `getConnectionConfig(HttpParams params)` Deprecated.
    `static MessageConstraints` | `getMessageConstraints(HttpParams params)` Deprecated.
    `static SocketConfig` | `getSocketConfig(HttpParams params)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSocketConfig

          public static SocketConfig getSocketConfig(HttpParams params)

      Deprecated.

    - #### getMessageConstraints

          public static MessageConstraints getMessageConstraints(HttpParams params)

      Deprecated.

    - #### getConnectionConfig

          public static ConnectionConfig getConnectionConfig(HttpParams params)

      Deprecated.

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.